package domain

type AlibabaWdkCouponSkuQueryCouponTemplateOperateResponse struct {
	/*
	   模板表主键     */
	Id *int64 `json:"id,omitempty" `

	/*
	   分页信息     */
	PageInfo *AlibabaWdkCouponSkuQueryPageInfo `json:"page_info,omitempty" `

	/*
	   券圈品设置     */
	PromActSkuList *[]AlibabaWdkCouponSkuQueryPromActSku `json:"prom_act_sku_list,omitempty" `

	/*
	   ump模板ID     */
	SourceId *int64 `json:"source_id,omitempty" `
}

func (s *AlibabaWdkCouponSkuQueryCouponTemplateOperateResponse) SetId(v int64) *AlibabaWdkCouponSkuQueryCouponTemplateOperateResponse {
	s.Id = &v
	return s
}
func (s *AlibabaWdkCouponSkuQueryCouponTemplateOperateResponse) SetPageInfo(v AlibabaWdkCouponSkuQueryPageInfo) *AlibabaWdkCouponSkuQueryCouponTemplateOperateResponse {
	s.PageInfo = &v
	return s
}
func (s *AlibabaWdkCouponSkuQueryCouponTemplateOperateResponse) SetPromActSkuList(v []AlibabaWdkCouponSkuQueryPromActSku) *AlibabaWdkCouponSkuQueryCouponTemplateOperateResponse {
	s.PromActSkuList = &v
	return s
}
func (s *AlibabaWdkCouponSkuQueryCouponTemplateOperateResponse) SetSourceId(v int64) *AlibabaWdkCouponSkuQueryCouponTemplateOperateResponse {
	s.SourceId = &v
	return s
}
